class 'turkeyAppliance' (Appliance)

function turkeyAppliance:__init() super()
end

function turkeyAppliance:onCreate()
	Appliance.onCreate(self)
end

function turkeyAppliance:onPlace()
	Appliance.onPlace(self)
	if (getProduct("TURKEY")) then
		self:getSlot(0):setCurrentFrame(0)
	end	
end